# transmission

![Version: 0.1.2](https://img.shields.io/badge/Version-0.1.2-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 4.0.4](https://img.shields.io/badge/AppVersion-4.0.4-informational?style=flat-square)

Transmission is a fast, easy, and free BitTorrent client.

## Source Code

* <https://github.com/transmission/transmission>
* <https://github.com/linuxserver/docker-transmission>

## Requirements

Kubernetes: `>=1.22.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://bjw-s.github.io/helm-charts | common | 1.5.1 |

## Installing the Chart

This is a [Helm Library Chart](https://helm.sh/docs/topics/library_charts/#helm).

**WARNING: THIS CHART IS NOT MEANT TO BE INSTALLED DIRECTLY**

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | See [values.yaml](./values.yaml) | Environment variables. [[ref]](https://github.com/linuxserver/docker-transmission#parameters) |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image tag |
| image.repository | string | `"lscr.io/linuxserver/transmission"` | image repository |
| image.tag | string | `"4.0.4"` | image pull policy |
| ingress.main | object | See [values.yaml](./values.yaml) | Enable and configure ingress settings for the chart under this key. |
| persistence.config | object | See [values.yaml](./values.yaml) | Configure persistence settings for the chart under this key. |
| persistence.downloads.enabled | bool | `false` |  |
| persistence.watch.enabled | bool | `false` |  |
| service.main | object | See [values.yaml](./values.yaml) | Configures HTTP service settings for the chart. |
| service.peer.enabled | bool | `true` |  |
| service.peer.ports.tcp.enabled | bool | `true` |  |
| service.peer.ports.tcp.port | int | `51413` |  |
| service.peer.ports.udp.enabled | bool | `true` |  |
| service.peer.ports.udp.port | int | `51413` |  |
| service.peer.ports.udp.protocol | string | `"UDP"` |  |

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
